Approve, reject or repair a proposed change
curl --request POST \
--url https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/changes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Workspace-Id: <x-workspace-id>' \
--data '
{
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "approve",
"expectedSourceGateReceiptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/changes"
payload = {
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "approve",
"expectedSourceGateReceiptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"X-Workspace-Id": "<x-workspace-id>",
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Workspace-Id': '<x-workspace-id>',
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
targetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
outcome: 'approve',
expectedSourceGateReceiptId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/changes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'targetId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'outcome' => 'approve',
'expectedSourceGateReceiptId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>",
"X-Workspace-Id: <x-workspace-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/changes"
payload := strings.NewReader("{\n \"targetId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"outcome\": \"approve\",\n \"expectedSourceGateReceiptId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Workspace-Id", "<x-workspace-id>")
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/changes")
.header("X-Workspace-Id", "<x-workspace-id>")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"targetId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"outcome\": \"approve\",\n \"expectedSourceGateReceiptId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/changes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Workspace-Id"] = '<x-workspace-id>'
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"targetId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"outcome\": \"approve\",\n \"expectedSourceGateReceiptId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"decisionReceiptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceAttemptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceGateReceiptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceArticleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"strategy": "metadata",
"outcome": "approve",
"reviewerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reviewerRole": "owner",
"targetStatus": "queued",
"replacementAttemptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applyReceiptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"remoteCmsMutated": false,
"remoteSyncRequired": true,
"reviewedAt": "2023-11-07T05:31:56Z",
"idempotent": true
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}Settings
Approve, reject or repair a proposed change
Resolves the human review of one proposed change: approve the exact unchanged proposal, reject it, or request_repair for one bounded fresh attempt (reject and request_repair need a reason). The server derives the reviewer, attempt, gate and receipts. expectedSourceGateReceiptId pins the decision to the preview you looked at and grants no authority. Reject stays available while execution is paused. The Idempotency-Key header is required, so a retry replays the same decision; without it it is a 422.
POST
/
content-agent
/
plans
/
{planId}
/
changes
Approve, reject or repair a proposed change
curl --request POST \
--url https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/changes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Workspace-Id: <x-workspace-id>' \
--data '
{
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "approve",
"expectedSourceGateReceiptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/changes"
payload = {
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "approve",
"expectedSourceGateReceiptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"X-Workspace-Id": "<x-workspace-id>",
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Workspace-Id': '<x-workspace-id>',
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
targetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
outcome: 'approve',
expectedSourceGateReceiptId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/changes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'targetId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'outcome' => 'approve',
'expectedSourceGateReceiptId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>",
"X-Workspace-Id: <x-workspace-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/changes"
payload := strings.NewReader("{\n \"targetId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"outcome\": \"approve\",\n \"expectedSourceGateReceiptId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Workspace-Id", "<x-workspace-id>")
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/changes")
.header("X-Workspace-Id", "<x-workspace-id>")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"targetId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"outcome\": \"approve\",\n \"expectedSourceGateReceiptId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/changes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Workspace-Id"] = '<x-workspace-id>'
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"targetId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"outcome\": \"approve\",\n \"expectedSourceGateReceiptId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"decisionReceiptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceAttemptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceGateReceiptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceArticleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"strategy": "metadata",
"outcome": "approve",
"reviewerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reviewerRole": "owner",
"targetStatus": "queued",
"replacementAttemptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applyReceiptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"remoteCmsMutated": false,
"remoteSyncRequired": true,
"reviewedAt": "2023-11-07T05:31:56Z",
"idempotent": true
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}Authorizations
API key (sk_live_...) created at https://www.getsurfaced.ai/app/settings/account/api-keys
Headers
Body
application/json